[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlChildSizing.Assign

Copies property values from the specified persistent object into the current class instance.

## Declaration

Source position: controls.pp line 1980

`public procedure TControlChildSizing.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | Persistent object with the property values copied in the method.

## Description

Assign is an overridden method in TControlChildSizing used to copy property values from the persistent object in Source to the corresponding properties in the current class instance.

When Source is derived from TControlChildSizing, the properties specific to the class type are examined and copied. The Change method is called prior to exiting from the procedure.

The following property values are copied from Source:

- EnlargeHorizontal
- EnlargeVertical
- ShrinkHorizontal
- ShrinkVertical
- ControlsPerLine
- Layout
- LeftRightSpacing
- TopBottomSpacing
- HorizontalSpacing
- VerticalSpacing

No actions are performed in the method if the property values from Source have the same values as the properties in the class instance.

If Source is not derived from TControlChildSizing, the inherited Assign method is called to copy the values in Source.